MPTBASE_REPLY(9)

NAME
mptbase_reply - MPT base driver's callback routine

SYNOPSIS

int mptbase_reply(MPT_ADAPTER * ioc, MPT_FRAME_HDR * req, MPT_FRAME_HDR * reply);

ARGUMENTS

ioc
    Pointer to MPT_ADAPTER structure

req
    Pointer to original MPT request frame

reply
    Pointer to MPT reply frame (NULL if TurboReply)

DESCRIPTION

MPT base driver's callback routine; all base driver “internal” request/reply processing is routed here. Currently used for EventNotification and EventAck handling.

Returns 1 indicating original alloc'd request frame ptr should be freed, or 0 if it shouldn't.

COPYRIGHT